Bug 46779 - Pass UCRVs ldap/server/.* to Docker Containers
Pass UCRVs ldap/server/.* to Docker Containers
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: App Center
UCS 4.3
Other Linux
: P5 normal (vote)
: UCS 4.3-0-errata
Assigned To: Dirk Wiesenthal
Felix Botner
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-04-04 22:59 CEST by Dirk Wiesenthal
Modified: 2018-04-18 13:52 CEST (History)
1 user (show)

See Also:
What kind of report is it?: Feature Request
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?: Yes
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dirk Wiesenthal univentionstaff 2018-04-04 22:59:45 CEST
... we currently pass ldap/master/.*. This is problematic as the DC Master may not be available from every server in the domain.

We would need to keep ldap/master/.* for compatibility.
Comment 1 Dirk Wiesenthal univentionstaff 2018-04-10 19:45:26 CEST
Also add ldap/base.

For the records:
This can be achieved without an update. In fact, this bug is meant to provide a stable set of variables that Docker Apps can rely on.

To work around the missing variables before an update: add an env file to the App with this content:
LDAP_BASE=@%@ldap/base@%@
LDAP_SERVER=@%@ldap/server@%@
...
Comment 2 Dirk Wiesenthal univentionstaff 2018-04-10 21:49:08 CEST
Fixed in
  univention-appcenter 7.0.1-36A~4.3.0.201804102134

Please note that I also added a "\n" to the "summarized" env file between the original env file provided by the App and the additional variables added by the App Center. Currently, you need to add a newline to your env file or the final env file is broken.
Comment 3 Felix Botner univentionstaff 2018-04-11 11:24:03 CEST
OK - univention-appcenter

-> univention-app install wordpress
-> univention-app shell wordpress env| grep LDAP_
LDAP_SERVER_NAME=master.four.three
LDAP_SERVER_IP=127.0.0.1
LDAP_HOSTDN=cn=wordp-82863136,cn=memberserver,cn=computers,dc=four,dc=three
LDAP_SERVER_TYPE=master
LDAP_MASTER=master.four.three
LDAP_BASE=dc=four,dc=three
LDAP_SERVER_PORT=7389
LDAP_MASTER_PORT=7389

OK - YAML
Comment 4 Arvid Requate univentionstaff 2018-04-18 13:52:02 CEST
<http://errata.software-univention.de/ucs/4.3/16.html>